package cn.superdesk.uniorder.common.enums.accounting.operator;

public enum SettlementProgrammeTypeEnum {
    运营商(1, "运营商"),
    ;
    private Integer key;
    private String  desc;

    SettlementProgrammeTypeEnum(Integer key, String desc) {
        this.key = key;
        this.desc = desc;
    }


    public Integer getKey() {
        return key;
    }

    public String getDesc() {
        return desc;
    }

    public static String getDescByKey(Integer key) {
        for (SettlementProgrammeTypeEnum c : SettlementProgrammeTypeEnum.values()) {
            if (c.key.equals(key)) {
                return c.getDesc();
            }
        }
        return "";
    }
}
